// =====================================================================
//
//   povany.h
//
//   written january 2004 by Christoph Hormann <chris_hormann@gmx.de>
//
//   header file for povtile-project
//
// -----------------------------------------------------------------------
//
//   Copyright (C) 2004-2005 by Christoph Hormann <chris_hormann@gmx.de>
//
//   All rights reserved.
//
//   Redistribution and use in source and binary forms, with or without
//   modification, are permitted provided that the following conditions
//   are met:
//
//    * Redistributions of source code must retain the above copyright
//      notice, this list of conditions and the following disclaimer.
//    * Redistributions in binary form must reproduce the above copyright
//      notice, this list of conditions and the following disclaimer in
//      the documentation and/or other materials provided with the
//      distribution.
//
//   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
//   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
//   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//   FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
//   COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
//   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
//   BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
//   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
//   CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
//   LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
//   ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
//   POSSIBILITY OF SUCH DAMAGE.
//
// =======================================================================

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

typedef struct tile_input_struct TILE_INPUT;

struct tile_input_struct {

  char file_name[1024];
  FILE *file_handle;

  int width;
  int height;
  int rgb;
  int partial;
  int depth;

  int start_pos;
};

typedef unsigned char Val_16[2];

typedef unsigned short int RGB_Int[3];
typedef unsigned char RGB_Byte[3];

typedef unsigned char RGB_8[3];
typedef Val_16 RGB_16[3];


